> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadpipe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get people

> Retrieve paginated hydrated results from a completed Orbit audience run

## Overview

Use run results to retrieve hydrated people data for a saved audience.

```bash theme={null}
GET /v1/intent/audiences/{id}/runs/{runId}/results?limit=100&offset=0
x-api-key: YOUR_API_KEY
```

The endpoint returns:

* `202` while the run is `queued` or `running`
* `200` with paginated results when the run is `completed`
* `409` when the run state cannot serve results

## Queue and read a run

```bash theme={null}
RUN_ID=$(curl -s -X POST "$BASE/v1/intent/audiences/$AUDIENCE_ID/runs" \
  -H "x-api-key: $API_KEY" \
  -H "Idempotency-Key: audience-run-001" \
  -H "Content-Type: application/json" \
  -d '{"runType":"manual"}' | jq -r '.data.id')

curl "$BASE/v1/intent/audiences/$AUDIENCE_ID/runs/$RUN_ID/results?limit=50&offset=0" \
  -H "x-api-key: $API_KEY"
```

## Pending response

```json theme={null}
{
  "data": {
    "run": {
      "id": "ad53af16-efbc-4fe1-a764-ded7181653a1",
      "status": "running",
      "runType": "manual",
      "candidateCount": 0,
      "resultCount": 0
    },
    "state": "running",
    "results": [],
    "total": 0,
    "limit": 50,
    "offset": 0
  }
}
```

## Completed response

```json theme={null}
{
  "data": {
    "run": {
      "id": "ad53af16-efbc-4fe1-a764-ded7181653a1",
      "status": "completed",
      "runType": "manual",
      "candidateCount": 121463,
      "resultCount": 20,
      "completedAt": "2026-05-05T16:52:31.000Z"
    },
    "results": [
      {
        "hashedEmail": "50c41e8bb3919b482ed996c139cc85935d2bef278ebc42a22f8c84b04b73709b",
        "firstName": "sherry",
        "lastName": "lynn",
        "fullName": "sherry lynn",
        "businessEmail": "sherry@example.com",
        "personalEmail": "sherry.personal@example.com",
        "email": "sherry.personal@example.com",
        "primaryContactEmail": "sherry@example.com",
        "phone": "+18005551212",
        "linkedinUrl": "https://linkedin.com/in/example",
        "headline": "director of marketing",
        "jobTitle": "director of marketing operations",
        "seniority": "director",
        "department": "marketing",
        "company": {
          "name": "example company",
          "domain": "example.com",
          "industry": "software development",
          "industryGroup": "technology",
          "revenueRange": "10 million to 25 million"
        },
        "geo": {
          "city": "san francisco",
          "state": "CALIFORNIA",
          "stateCode": "CA",
          "country": "united states",
          "countryCode": "US"
        },
        "intent": {
          "score": 84,
          "topicOverlap": 2,
          "matchedTopics": [
            {
              "topicId": 117796,
              "topicName": "Internet Marketing Automation",
              "type": "b2b",
              "industry": "Marketing",
              "category": "Technology"
            }
          ]
        }
      }
    ],
    "total": 20,
    "limit": 50,
    "offset": 0
  }
}
```

## Pagination

Use `limit` and `offset`.

| Query param | Type    | Default | Max   | Description            |
| ----------- | ------- | ------- | ----- | ---------------------- |
| `limit`     | integer | `100`   | `500` | Results per page       |
| `offset`    | integer | `0`     | -     | Number of rows to skip |

Continue increasing `offset` until `offset + results.length >= total`.

## Person fields

Rows can include identity, contact, role, company, geography, demographics, profile signals, company signals, geo signals, compliance, source metadata, and intent matched topics. Any nullable field can be `null` when data is unavailable.
